Subject: Re: [MORG] I-D Action:draft-ietf-morg-list-specialuse-02.txt

From: Jamie Nicolson (倪志明) <[email-masked]>
Date: Mon, 30 Aug 2010 11:38:26 -0700

I just re-read this thread and realized there was an unanswered question
addressed to me. Sorry about that. Barry, let me know if there's other ways
I can help with this spec.

On Wed, Jun 23, 2010 at 13:59, Barry Leiba <
[email-masked]> wrote:

> >> I oppose that change, and would like to keep CREATE optional.  I don't
> >> want to set up a barrier for doing the extended-LIST implementation.
> >>
> >
> > To be clear: there is no need to implement the whole extended LIST. The
> > server can only implement handling of the new select and return options.
>
> That's still backward; it's not a question of needing to implement
> extended LIST.  The issue is, for a server that *does* implement
> extended LIST, whether implementing CREATE becomes mandatory.  I want
> it to remain optional, and so I think we need a second capability for
> it.
>

To me, it does seem valuable to separate the capabilities. For Google,
implementing extended list is more likely than supporting CREATE with
special-use flags. If I understand correctly, we wouldn't be able to
advertise support for the special-use return option without also supporting
CREATE with special-use flags.

>
> Barry
> _______________________________________________
> MORG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/morg
> Note Well: http://www.ietf.org/maillist.html
>